<?php
    session_start(); 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="css/admin.css" rel="stylesheet" type="text/css">
		<title>无标题文档</title>
	</head>

	<body>
<?PHP
	require_once('inc/conn.php');
	require_once('inc/constant.php');
	require_once('inc/ls_syscode.php');

	$opendb=new mydb();
	require_once('inc/char_set.php');
			
	$ls=$_POST['ls'];
	$id=$_POST['id'];
	
	$title=$_POST['newsTitle'];
	$keywords=$_POST['newsKeywords'];
	$description=$_POST['newsDescription'];
	
	$videoName=$_POST['videoName'];
	$videoText=$_POST['videoText'];
	$videoW=$_POST['videoW'];
	$videoH=$_POST['videoH'];
	$videoCode=$_POST['videoCode'];
	$ChangecatePagePic=$_POST['ChangecatePagePic'];
	$image=$_FILES['productPic']['name'];   
    $size=$_FILES['productPic']['size'];   
    $type=$_FILES['productPic']['type'];
	
	$video_name=$_FILES['videoFile']['name'];   
    $video_size=$_FILES['videoFile']['size'];   
    $video_type=$_FILES['videoFile']['type'];
	
	switch ($ls)
	{
		case "insert":
			/*if ($type == "image/gif" || $type == "image/png" || $type == "image/pjpeg" || $type == "image/jpeg" )
			{
				if($size < $PicSize) //开始判断图像大小
				{*/if($video_type != NULL){
					if ($video_type == "video/x-flv" || $video_type == "application/octet-stream")
					{
						if($size < $PicSize) //开始判断图像大小
						{
						
						$pathBigPic="../".$videoFolders."/".$BigFoldersProducts;
						//echo $pathBigPic."<br>";
						//创建大图文件夹
						createFolder($pathBigPic);
						$pathSmallPic="../".$videoFolders."/".$SmallFoldersProducts;
						//echo $pathSmallPic."<br>";
						//创建小图文件夹
						
						$videopath="../".$videoFolders;
						createFolder($pathSmallPic);
						
						$arr=array(" ",".");  
						//产生文件名   
						/*$productPic=str_replace($arr ,"",time()).".".substr($image,-3);
						$pathBigPic=$pathBigPic."/".$productPic;
						//echo $pathBigPic."<br>";
						//上传文件
						move_uploaded_file($_FILES['productPic']['tmp_name'], $pathBigPic);
						
						$srcFile=$pathBigPic; //源地址
						$toW=$SmallPicW;			//宽度
						$toH=$SmallPicH;			//高度
						$toFile=$pathSmallPic."/".$productPic; //目标地址
						//生成缩略图
						ImageResize($srcFile,$toW,$toH,$toFile);*/
						
						$videoN = str_replace($arr ,"",time()).".".substr($video_name,-3);
						$videopath = $videopath."/".$videoN;
						move_uploaded_file($_FILES['videoFile']['tmp_name'], $videopath);
						
						$insert_sql=sprintf("insert into ls_video(videoPic,newsTitle, newsKeywords, newsDescription,videoFile,videoName,videoText,date,Num,code,enable) values(%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s)",
									GetSQLValueString($productPic, "text"),
									GetSQLValueString($title, "text"),
									GetSQLValueString($keywords, "text"),
									GetSQLValueString($description, "text"),
									GetSQLValueString($videoN, "text"),
									GetSQLValueString($videoName, "text"),
									GetSQLValueString($videoText, "text"),
									GetSQLValueString(date("Y-m-d"),"date"),
									GetSQLValueString($SortingNum, "int"),
									GetSQLValueString($videoCode, "text"),
									GetSQLValueString("1", "int")
									);
						$insert_query=$opendb->query($insert_sql);
						echo "<form name=\"fm\" method=\"post\" action=\"addvideo.php\">
								<input type=\"hidden\" value=\"".$videoText."\" name=\"videoText\">
								<table width='96%' border='0' align='center' cellpadding='1' cellspacing='1' bgcolor='#6396d6'>
									<tr>
										<td height='18' background='images/admin_bg.gif'><div align='center'><font color='#ffffff'><strong>视频信息</strong></font></div>
										</td>
									</tr>
									<tr>
										<td height='213' valign='top' bgcolor='#dee7ff'><br>
											<table width=\"90%\" border=\"0\" align=\"center\" cellpadding=\"3\" cellspacing=\"1\" bgcolor=\"#FFFFFF\">

											  <tr bgcolor=\"#B9DAFF\"> 
												<td height=\"28\" colspan=\"2\"></td>
											  </tr>
											  <tr bgcolor=\"#f4f4f4\"> 
												<td style=\"padding-left:50px;\" width=\"30%\">名称：</td>
												<td>
												".$videoName."
												</td>
											  </tr>
											  <tr bgcolor=\"#f4f4f4\"> 
												<td style=\"padding-left:50px;\" width=\"30%\">简介：</td>
												<td>
												".$videoText."
												</td>
											  </tr>
											  <tr bgcolor=\"#B9DAFF\"> 
												<td height=\"28\" colspan=\"2\" align=\"center\">
												<input type=\"submit\" value=\"继续添加\">
												<input type=\"button\" value=\"返回列表\" onclick=\"javascript:location='video.php';\">
												</td>
											  </tr>
											
											</table>
										</td>
									</tr>
									</table>
									</form>
								";
								}						
						 else
						{
							echo "	<script>alert('视频最大为".$PicSize."！');history.go(-1);</script>";
						}
					}
					else
					{
						 echo "	<script>alert('请选择视频上传，或者你选择的文件不符合要求!\\n只允许格式 .flv');history.go(-1);</script>";
					}
				}else{
						if($videoCode != NULL){
							$insert_sql=sprintf("insert into ls_video(videoName,newsTitle, newsKeywords, newsDescription,videoText,date,Num,code,enable) values(%s,%s,%s,%s,%s,%s,%s,%s,%s)",
										GetSQLValueString($videoName, "text"),
										GetSQLValueString($title, "text"),
									GetSQLValueString($keywords, "text"),
									GetSQLValueString($description, "text"),
										GetSQLValueString($videoText, "text"),
										GetSQLValueString(date("Y-m-d"),"date"),
										GetSQLValueString($SortingNum, "int"),
										GetSQLValueString($videoCode, "text"),
										GetSQLValueString("1", "int")
										);
							$insert_query=$opendb->query($insert_sql);
							if($insert_query){
								echo "	<script>alert('视频添加成功！');location='video.php';</script>";
							}
						}
					}
					 /*}						
				else
					{
						echo "	<script>alert('图像最大为".$PicSize."！');history.go(-1);</script>";
					}
				}
			else
				{
					 echo "	<script>alert('请选择图片上传，或者你选择的文件不符合要求!\\n只允许格式 .gif .png .jpeg');history.go(-1);</script>";
				}*/
			
			break;
		
	
		case "update":
		  if($ChangecatePagePic=="yes")
		  {
				//判断图像格式
				if ($video_type == "video/x-flv" || $video_type == "application/octet-stream")
				{
					if($size < $PicSize) //开始判断图像大小
					{
						$pathBigPic="../".$videoFolders."/".$BigFoldersProducts;
						$pathSmallPic="../".$videoFolders."/".$SmallFoldersProducts;
						
						$pic=$_POST['Pic'];
						$videopath="../".$videoFolders;
						unlink($videopath."/".$pic);
						$arr=array(" ","."); 
						$videoN = str_replace($arr ,"",time()).".".substr($video_name,-3);
						$videopath = $videopath."/".$videoN;
						move_uploaded_file($_FILES['videoFile']['tmp_name'], $videopath);
						
						$update_sql2=sprintf("update ls_video set videoFile=%s where ID=%s",
							GetSQLValueString($videoN, "text"),
							GetSQLValueString($id, "int")
						);
						$update_query=$opendb->query($update_sql2);
					}
					else
					{
						echo "	<script>alert('图像最大为".$PicSize."！');history.go(-1);</script>";
					}
				}
				else
				{
					 echo "	<script>alert('请选择图片上传，或者你选择的文件不符合要求!\\n只允许格式 .gif .png .jpeg');history.go(-1);</script>";
				}
			} 
			
			$update_sql=sprintf("update ls_video set videoName=%s, code=%s, videoText=%s, newsTitle=%s, newsKeywords=%s, newsDescription=%s, videoW=%s, videoH=%s where ID=%s",
						GetSQLValueString($videoName, "text"),
						GetSQLValueString($videoCode, "text"),
						GetSQLValueString($videoText, "text"),
						GetSQLValueString($title, "text"),
						GetSQLValueString($keywords, "text"),
						GetSQLValueString($description, "text"),
						GetSQLValueString($videoW, "int"),
						GetSQLValueString($videoH, "int"),
						GetSQLValueString($id, "int")
					);
		  //echo $update_sql;
		  //更新数据
		  $update_query=$opendb->query($update_sql);
		  echo "<script>alert('数据更新成功!\\n请刷新本页！');location='modivideo.php?id=".$id."';</script>";
				
		break;	
	}
?>
	</body>
</html>